org.apache.ignite.configuration

## Class OdbcConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.OdbcConfiguration

    public class OdbcConfiguration
    extends Object

ODBC configuration.

### Field Summary

Fields
`static int` `DFLT_MAX_OPEN_CURSORS` Default max number of open cursors per connection.
`static String` `DFLT_TCP_HOST` Default TCP host.
`static int` `DFLT_TCP_PORT_FROM` Default minimum TCP port range value.
`static int` `DFLT_TCP_PORT_TO` Default maximum TCP port range value.

### Constructor Summary

Constructors
Constructor and Description
`OdbcConfiguration()` Creates ODBC server configuration with all default values.
`OdbcConfiguration(OdbcConfiguration cfg)` Creates ODBC server configuration by copying all properties from given configuration.

### Method Summary

Methods
`String` `getEndpointAddress()` Get ODBC endpoint address.
`int` `getMaxOpenCursors()` Gets maximum number of opened cursors per connection.
`OdbcConfiguration` `setEndpointAddress(String addr)` Set ODBC endpoint address.
`OdbcConfiguration` `setMaxOpenCursors(int maxOpenCursors)` Sets maximum number of opened cursors per connection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DFLT_TCP_HOST

    public static final String DFLT_TCP_HOST

Default TCP host.

See Also:
  Constant Field Values

#### DFLT_TCP_PORT_FROM

    public static final int DFLT_TCP_PORT_FROM

Default minimum TCP port range value.

See Also:
  Constant Field Values

#### DFLT_TCP_PORT_TO

    public static final int DFLT_TCP_PORT_TO

Default maximum TCP port range value.

See Also:
  Constant Field Values

#### DFLT_MAX_OPEN_CURSORS

    public static final int DFLT_MAX_OPEN_CURSORS

Default max number of open cursors per connection.

See Also:
  Constant Field Values

### Constructor Detail

#### OdbcConfiguration

    public OdbcConfiguration()

Creates ODBC server configuration with all default values.

#### OdbcConfiguration

    public OdbcConfiguration(OdbcConfiguration cfg)

Creates ODBC server configuration by copying all properties from given configuration.

Parameters:
  `cfg` - ODBC server configuration.

### Method Detail

#### getEndpointAddress

    public String getEndpointAddress()

Get ODBC endpoint address. Ignite will listen for incoming TCP connections on this address. Either single port or port range could be used. In the latter case Ignite will start listening on the first available port form the range.

The following address formats are permitted:

- `hostname` - will use provided hostname and default port range;
- `hostname:port` - will use provided hostname and port;
- `hostname:port_from..port_to` - will use provided hostname and port range.

When set to `null`, ODBC processor will be bound to `DFLT_TCP_HOST` host and default port range.

Default port range is from `DFLT_TCP_PORT_FROM` to `DFLT_TCP_PORT_TO`.

Returns:
  ODBC endpoint address.

#### setEndpointAddress

    public OdbcConfiguration setEndpointAddress(String addr)

Set ODBC endpoint address. See `getEndpointAddress()` for more information.

Parameters:
  `addr` - ODBC endpoint address.
Returns:
  This instance for chaining.

#### getMaxOpenCursors

    public int getMaxOpenCursors()

Gets maximum number of opened cursors per connection.

Defaults to `DFLT_MAX_OPEN_CURSORS`.

Returns:
  Maximum number of opened cursors.

#### setMaxOpenCursors

    public OdbcConfiguration setMaxOpenCursors(int maxOpenCursors)

Sets maximum number of opened cursors per connection. See `getMaxOpenCursors()`.

Parameters:
  `maxOpenCursors` - Maximum number of opened cursors.
Returns:
  This instance for chaining.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016